Package musicbrainz2 :: Module webservice :: Class RequestError

[frames] | no frames]

# Class RequestError

source code

                  object --+
                           |
    exceptions.BaseException --+
                               |
            exceptions.Exception --+
                                   |
                     WebServiceError --+
                                       |
                                      RequestError

An invalid request was made.

This exception is raised if the client made an invalid request. That could be syntactically invalid identifiers or unknown or invalid parameter values.

Instance Methods
Inherited from `WebServiceError`: `__init__`, `__str__` Inherited from `exceptions.Exception`: `__new__` Inherited from `exceptions.BaseException`: `__delattr__`, `__getattribute__`, `__getitem__`, `__getslice__`, `__reduce__`, `__repr__`, `__setattr__`, `__setstate__`, `__unicode__` Inherited from `object`: `__format__`, `__hash__`, `__reduce_ex__`, `__sizeof__`, `__subclasshook__`

Properties
Inherited from `exceptions.BaseException`: `args`, `message` Inherited from `object`: `__class__`